using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Foo.AddIn.Common
{
    public interface IWorkspace
    {
        // Launchers
        FuncRetVal Launch(string strArtifactLocation, int WindowHeight, int WindowWidth, int WindowTop, int WindowLeft);
        FuncRetVal Launch(string strArtifactLocation);        

        // ShowNHiders
        FuncRetVal Show(string strArtifactLocation);
        FuncRetVal Hide(string strArtifactLocation);

        // Closers
        FuncRetVal QueryClose(string strArtifactLocation);
        FuncRetVal Close(string strArtifactLocation, bool bAutoSaveArtifact, out int WindowHeight, out int WindowWidth, out int WindowTop, out int WindowLeft);
        FuncRetVal Close(string strArtifactLocation, bool bAutoSaveArtifact);
        FuncRetVal Close(string strArtifactLocation);        
    }
}
